unit uFichaNodo;

{$mode delphi}

interface

uses
  Classes, unettopostypes, unettopos;

type

  TEstadoDelNodo = ( down, topoUP, aplicUP, listo );

  { TFichaNodo }
  TFichaNodo = class(TNodo)

  private

    vecesQueNoRespondi: integer;                //* Numero de veces que el nodo no respondio
    nAplicsActivas: integer;                    //*Numero de aplicaciones activas

  public

    aplic: TFichaAplicacion;

    estado: TEstadoDelNodo;

    constructor Crear(idNodo: cardinal; puerto: cardinal; maquina: string);

  end;

implementation

{ TFichaNodo }

constructor TFichaNodo.Crear(idNodo: cardinal; puerto: cardinal; maquina: string
  );
begin
  Inherited Create (CardinalToIP4Str(idNodo),puerto,maquina);
  estado:= down;
end;

end.

